# Cross-species cortical alignment identifies different types of neuroanatomical reorganization in the temporal lobe of higher primates

## Nicole Eichert, Emma C. Robinson, Katherine L. Bryant, Saad Jbabdi, Mark Jenkinson, Longchuan Li, Kristine Krug, Kate E. Watkins & Rogier B. Mars

The following software is required to perform the analysis described in the paper:

* FMRIB Software Library v6.0 (FSL); Smith et al. 2004; https://fsl.fmrib.ox.ac.uk/fsl/fslwiki

* MATLAB_R2017b; The MathWorks Inc.; https://www.mathworks.com/products/matlab.html

* Connectome Workbench (wb_command) Version 1.3.1; https://humanconnectome.org/software/connectome-workbench

* MR Comparative Anatomy Toolbox (Mr Cat); www.neuroecologylab.org; https://github.com/neuroecology/MrCat

* Multimodal Surface Matching (MSM) with Higher order Clique Reduction Version 2.00 https://www.doc.ic.ac.uk/~ecr05/MSM_HOCR_v2/

* Operating system: The scripts have been tested on a macOS Mojave Version 10.14.4 and on a CentOS Linux release 7.6.1810. Several processing steps are high memory tasks (>12GB), which have been run on a high-performance cluster.

* The python script 'require the packages listed in requirements.txt.

* The scripts provided here contain the relevant instructions used to generate the results. The paths have been adapted for simplification. Instructions for setting up FSL, wb_command and MrCat can be found on their websites.
